import Taro, { Component } from '@tarojs/taro'
import { View } from '@tarojs/components'
import { AtInput, Text, AtButton, AtIcon, Picker, Image } from 'taro-ui'
import copyrightComponent from '../../component/copyrightComponent/copyrightComponent'


import './myGoodList.scss'



class MyGoodList extends Component {
  config = {
    navigationBarTitleText: '我的商品列表'
  }
  constructor() {
    super(...arguments)
    this.state = {
      productName: '',
      lowestPrice: '',
      heightestPrice: '',
      minimumSold: '',
      maximumSold: '',
      productId: '',
      productCate: ['全部类目', '衣柜', '人工服务', '开料机', '书柜', '橱柜', '更衣室'],
      productCateSelected: '全部类目'
    }
  }

  productNameChange(event) {
    this.setState({ productName: event })
  }
  productIdChange(event) {
    this.setState({ productId: event })
  }
  lowestPriceChange(event) {
    this.setState({ lowestPrice: event })
  }
  heightestPriceChange(event) {
    this.setState({ heightestPrice: event })
  }
  minimumSoldChange(event) {
    this.setState({ minimumSold: event })
  }
  maximumSoldChange(event) {
    this.setState({ maximumSold: event })
  }
  productCateChange = e => {
    this.setState({
      productCateSelected: this.state.productCate[e.detail.value]
    })
  }

  componentDidMount() {

  }
  componentWillReceiveProps(nextProps) {
    console.log(this.props, nextProps)
  }

  componentWillUnmount() { }

  componentDidShow() { }

  componentDidHide() { }

  render() {
      //等待接口数据
    const goodListElementArray = <View className='good-container'>
      <View className='img-box'>
        <Image mode='aspectFit' className='img' style='height:50px;width:50px' src='http://192.168.1.230/Uploads/zone/user_1295/201812/thumb/2badb6ea3c1e4eb058873ab2086110ef_400X400.jpg' />
      </View>
      <View className='name-box'>名称</View>
      <View className='price-box'>￥12.00</View>
      <View className='quantity-box'>3243</View>
      <View className='button-box1'>
      <AtButton type='primary' className='button-a' size='small'>

编辑商品</AtButton>
      </View>
    </View>
    return (
      <View className='MyGoodList'>
        <View className='border-box'>
          <AtInput
            name='value'
            title='宝贝名称：'
            type='text'
            value={this.state.productName}
            onChange={this.productNameChange.bind(this)}
          />
        </View>
        <View className='input-box'>
          <AtInput
            name='value'
            title='最低价：'
            className='input'
            type='number'
            value={this.state.lowestPrice}
            onChange={this.lowestPriceChange.bind(this)}
          />
          <AtInput
            name='value'
            title='最高价：'
            className='input'
            type='number'
            value={this.state.heightestPrice}
            onChange={this.heightestPriceChange.bind(this)}
          />
        </View>
        <View className='border-box'>
          <AtInput
            name='value'
            title='最低销量：'
            className='input'
            type='number'
            value={this.state.minimumSold}
            onChange={this.minimumSoldChange.bind(this)}
          />
          <AtInput
            name='value'
            title='最高销量：'
            className='input'
            type='number'
            value={this.state.maximumSold}
            onChange={this.maximumSoldChange.bind(this)}
          />
        </View>

        <View className='border-box'>
          <AtInput
            border={false}
            name='value'
            title='商品编码：'
            type='text'
            value={this.state.productId}
            onChange={this.productIdChange.bind(this)}
          />
        </View>
        <View className='page-section'>
          <Picker mode='selector' range={this.state.productCate} onChange={this.productCateChange.bind(this)}>
            <View className='picker'>
              <View className='title-box'>
                <Text className='title'>宝贝类目:</Text>

                <Text className='selected'>{this.state.productCateSelected}</Text>
              </View>

            </View>
          </Picker>
        </View>
        <View className='button-box'>
          <View className='button' onClick={this.searchDemandSupply.bind(this)}>
            <AtButton type='primary' size='small'>
              <AtIcon value='search' size='12' color='white'></AtIcon>
              搜索</AtButton>
          </View>
          <View className='button' onClick={this.addDemandSupply.bind(this)}>
            <AtButton type='primary' className='button-a' size='small'>

              清空条件</AtButton>
          </View>
        </View>

        <View className='mygoodlist-container'>
          {goodListElementArray}
          {goodListElementArray}
          {goodListElementArray}
          {goodListElementArray}
        </View>
        <copyrightComponent></copyrightComponent>
      </View>
    )
  }
}

export default MyGoodList
